[PATCH 3/3] UBUNTU: Add the linux-tools package to TI OMAP4

Andy Whitcroft apw at canonical.com
Mon Jan 24 13:58:56 UTC 2011


On Mon, Jan 24, 2011 at 10:22:37AM +0100, Stefan Bader wrote:
> On 01/24/2011 03:50 AM, Bryan Wu wrote:
> > Signed-off-by: Bryan Wu <bryan.wu at canonical.com>
> > ---
> >  meta-source/debian/control.common |    8 ++++++++
> >  1 files changed, 8 insertions(+), 0 deletions(-)
> > 
> > diff --git a/meta-source/debian/control.common b/meta-source/debian/control.common
> > index d8b7f12..be7ad0c 100644
> > --- a/meta-source/debian/control.common
> > +++ b/meta-source/debian/control.common
> > @@ -5,3 +5,11 @@ Maintainer: Ubuntu Kernel Team <kernel-team at lists.ubuntu.com>
> >  Standards-Version: 3.6.1
> >  Build-Depends: dpkg (>= 1.13.19), debhelper (>= 5), gawk
> >  Vcs-Git: http://kernel.ubuntu.com/git-repos/ubuntu/ubuntu-maverick-meta.git
> > +
> 
> Ok, in general. But I find the naming scheme not too intuitive:
> > +Package: linux-tools-omap4
>                         ^ no ti-
> > +Architecture: armel
> > +Section: metapackages
> > +Depends: ${misc:Depends}, linux-ti-omap4-tools-${kernel-abi-version}
>                                    ^ with ti- and why not
> 				   linux-tools-(ti-)omap4-...
> > +Description: Linux kernel versioned Tools
> > + This package will always depend on the latest Linux kernel versioned tools
> > + available. The Ubuntu patches have been applied.

This is because where we put names at the right hand end they are
flavour names.  And for better or worse the flavour name here is omap4
and not ti-omap4.

-apw




More information about the kernel-team mailing list